%define major	1
%define libname	%mklibname expat %{major}
%define devname	%mklibname expat -d

Summary:	XML parser written in C
Name:		expat
Version:	2.7.0
Release:	%mkrel 1
License:	MIT
Group:		Text tools
URL:		https://libexpat.github.io/
Source0:	https://prdownloads.sourceforge.net/expat/expat-%{version}.tar.xz
BuildRequires:	docbook2x

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		Development/C

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development environment for the expat XML parser.

%prep
%autosetup -p1

%build
#export CFLAGS="%%{optflags} -fPIC"

%configure \
	--disable-static \
	--with-docbook
%make_build

%check
make check

%install
%make_install

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}{,.*}

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc
%{_libdir}/cmake/expat-%{version}/
%{_docdir}/expat/AUTHORS
%{_docdir}/expat/changelog


%changelog
* Fri Mar 14 2025 daviddavid <daviddavid> 2.7.0-1.mga10
+ Revision: 2163969
- new version: 2.7.0

* Fri Nov 08 2024 ns80 <ns80> 2.6.4-1.mga10
+ Revision: 2113032
- new version 2.6.4 for CVE-2024-50602 (mga#33739)

* Thu Sep 05 2024 daviddavid <daviddavid> 2.6.3-1.mga10
+ Revision: 2093233
- new version: 2.6.3

* Fri Apr 05 2024 wally <wally> 2.6.2-2.mga10
+ Revision: 2054608
- basesystem rebuild for i686

* Sat Mar 16 2024 daviddavid <daviddavid> 2.6.2-1.mga10
+ Revision: 2050037
- new version: 2.6.2, fixes CVE-2024-28757 (mga#32970)

* Wed Mar 06 2024 daviddavid <daviddavid> 2.6.1-1.mga10
+ Revision: 2047911
- new version: 2.6.1

* Wed Feb 14 2024 daviddavid <daviddavid> 2.6.0-1.mga10
+ Revision: 2041203
- new version: 2.6.0

* Wed Nov 02 2022 ns80 <ns80> 2.5.0-1.mga9
+ Revision: 1901603
- new version 2.5.0 for CVE-2022-43680 (mga#31057)

* Fri Sep 23 2022 luigiwalser <luigiwalser> 2.4.9-1.mga9
+ Revision: 1891817
- 2.4.9

* Tue Mar 15 2022 umeabot <umeabot> 2.4.7-2.mga9
+ Revision: 1793927
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 ns80 <ns80> 2.4.7-1.mga9
+ Revision: 1790345
- new version 2.4.7 that fixes regressions from 2.4.5 security fixes (mga#30145)

* Sat Feb 19 2022 tmb <tmb> 2.4.5-1.mga9
+ Revision: 1781454
- update to 2.4.5

* Wed Feb 02 2022 ns80 <ns80> 2.4.4-1.mga9
+ Revision: 1770963
- new version 2.4.4 for CVE-2022-23852 and CVE-2022-23990 (mga#29985)

* Tue Jan 18 2022 ns80 <ns80> 2.4.3-1.mga9
+ Revision: 1768950
- new version 2.4.3 for CVE-2021-45960, CVE-2021-46143, CVE-2022-2282[2-7] (mga#29902)

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 2.4.2-1.mga9
+ Revision: 1768846
- version 2.4.2

* Fri Jul 02 2021 ns80 <ns80> 2.4.1-1.mga9
+ Revision: 1734527
- new version 2.4.1 for CVE-2013-0340 (mga#29143)

* Thu Apr 15 2021 daviddavid <daviddavid> 2.3.0-1.mga9
+ Revision: 1715847
- new version: 2.3.0

* Sun Oct 04 2020 shlomif <shlomif> 2.2.10-1.mga8
+ Revision: 1632154
- New version 2.2.10

* Sun Feb 16 2020 umeabot <umeabot> 2.2.9-2.mga8
+ Revision: 1534812
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 06 2019 daviddavid <daviddavid> 2.2.9-1.mga8
+ Revision: 1449988
- new version: 2.2.9

* Thu Sep 19 2019 daviddavid <daviddavid> 2.2.8-1.mga8
+ Revision: 1443872
- new version: 2.2.8

* Sat Jun 29 2019 shlomif <shlomif> 2.2.7-1.mga8
+ Revision: 1415762
- New version 2.2.7 (security)

* Sun Sep 23 2018 umeabot <umeabot> 2.2.6-2.mga7
+ Revision: 1297645
- Mageia 7 Mass Rebuild

* Wed Aug 15 2018 shlomif <shlomif> 2.2.6-1.mga7
+ Revision: 1251759
- New version 2.2.6

* Wed Nov 01 2017 shlomif <shlomif> 2.2.5-1.mga7
+ Revision: 1175444
- New version 2.2.5

* Sun Aug 20 2017 shlomif <shlomif> 2.2.4-1.mga7
+ Revision: 1142518
- New version 2.2.4

* Sun Jun 18 2017 shlomif <shlomif> 2.2.1-1.mga6
+ Revision: 1107875
- New version 2.2.1 with many fixes (incl security).

* Tue Jul 26 2016 luigiwalser <luigiwalser> 2.2.0-2.mga6
+ Revision: 1043703
- add upstream patch to fix regression caused by CVE-2016-0718 fix

* Wed Jun 22 2016 luigiwalser <luigiwalser> 2.2.0-1.mga6
+ Revision: 1037203
- 2.2.0

* Wed Jun 08 2016 luigiwalser <luigiwalser> 2.1.1-3.mga6
+ Revision: 1020921
- add patch from debian to fix CVE-2012-6702 and CVE-2016-5300

* Thu May 19 2016 luigiwalser <luigiwalser> 2.1.1-2.mga6
+ Revision: 1016825
- add patch from debian to correct CVE-2015-1283 fix
- add patch from debian to fix CVE-2016-0718

* Fri Apr 15 2016 shlomif <shlomif> 2.1.1-1.mga6
+ Revision: 1002687
- New version 2.1.1

* Thu Feb 11 2016 umeabot <umeabot> 2.1.0-12.mga6
+ Revision: 953876
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 2.1.0-11.mga6
+ Revision: 867571
- rebuild for new gcc

* Sun Jul 26 2015 cjw <cjw> 2.1.0-10.mga6
+ Revision: 857906
- patch1: use patch from mozilla to fix CVE-2015-1283

* Wed Oct 15 2014 umeabot <umeabot> 2.1.0-9.mga5
+ Revision: 738878
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-8.mga5
+ Revision: 679065
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-7.mga4
+ Revision: 528978
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 wally <wally> 2.1.0-6.mga4
+ Revision: 448458
- add patch from Fedora to fix 'xmlwf -h' output (rhbz#948534)

* Sun Jun 30 2013 wally <wally> 2.1.0-5.mga4
+ Revision: 448454
- fix devel pkg name
- fix license
- disable static build
- clean old obsoletes/provides
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 349870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 2.1.0-3.mga3
+ Revision: 310511
- fix RPM group

* Sat Oct 20 2012 malo <malo> 2.1.0-2.mga3
+ Revision: 308541
- update RPM group

* Thu Mar 29 2012 guillomovitch <guillomovitch> 2.1.0-1.mga2
+ Revision: 227472
- new version

* Sat Jan 08 2011 blino <blino> 2.0.1-14.mga1
+ Revision: 724
- remove old ldconfig scripts
- imported package expat


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-13mdv2011.0
+ Revision: 601022
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-12mdv2010.1
+ Revision: 488610
- P1: security fix for CVE-2009-3560 (new patch. the old patch caused regressions)

* Sat Dec 05 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-11mdv2010.1
+ Revision: 473800
- P1: security fix for CVE-2009-3560
- added one patch and fixes from fedora

* Sun Aug 23 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-10mdv2010.0
+ Revision: 419987
- bump release
- P0: security fix related to CVE-2009-2625

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-8mdv2009.1
+ Revision: 316206
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-7mdv2009.0
+ Revision: 220735
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-6mdv2008.1
+ Revision: 170823
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-5mdv2008.1
+ Revision: 149707
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-4mdv2008.0
+ Revision: 36867
- use distro conditional -fstack-protector

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 36797
- fix mixture of tabs and spaces
- correct url and source
- drop useless scriplets
- correct obsoletes and provides
- spec file clean

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + David Walluck <walluck@mandriva.org>
    - 2.0.1


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:19:15 (63272)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:15:16 (62920)
- Import expat

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.95.8-3mdk
- rebuild for sparc

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.95.8-2mdk
- Rebuild to get debug package

* Tue Dec 07 2004 Götz Waschk <waschk@linux-mandrake.com> 1.95.8-1mdk
- add new header file
- drop merged patch 2
- drop patch 1, needs a review
- fix source URL
- New release 1.95.8, needed for python 2.4

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.95.7-1mdk
- 1.95.7
- sync with fedora patches

